﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls.Diagrams;
using Telerik.Windows.Controls.Diagrams.Extensions;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace WPF_MVVM_Diagram_Application4
{
    public partial class MainWindow : Window
    {
        private MainViewModel model;       

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this.model = new MainViewModel();

            this.diagram.AddHandler(SettingsPaneView.RegisterEditorEvent, new RadRoutedEventHandler(OnRegisterEditor), true);
        }

        private void OnRegisterEditor(object sender, RadRoutedEventArgs e)
        {
            var contentTextBox = e.OriginalSource as TextBox;
            // This code will be called only the first time a settings pane tab is opened
            if (contentTextBox != null)
            {
                SettingsPaneView.SetEditorPropertyName(contentTextBox, "DataContext.Content");
                // The change in the TextBox's Text property will be automatically changed after the SettingsPane's // tab is switched. This is why we set the value manually.
                contentTextBox.Text = (this.diagram.SelectedItem as NodeViewModelBase).Content.ToString();
            }
        }
    }
}
